POST /api/operator/payouts/:id/paid

We have paid the professional's invoice.

Surface: operator. Who may call: operator. Key: operator.payouts.markPaid.

Example request

curl -X POST https://caremcp.com/api/operator/payouts/7d1f0a0e-2c4b-4c7e-9a6e-000000000001/paid \
  -H "Authorization: Bearer <operator token>"

Example input

{
  "id": "7d1f0a0e-2c4b-4c7e-9a6e-000000000001"
}

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "id": {
   "type": "string",
   "format": "uuid",
   "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
  }
 },
 "required": [
  "id"
 ]
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "id": {
   "type": "string"
  },
  "amountCents": {
   "type": "integer",
   "minimum": -9007199254740991,
   "maximum": 9007199254740991
  },
  "invoiceNumber": {
   "type": "string"
  },
  "status": {
   "type": "string",
   "enum": [
    "invoiced",
    "paid"
   ]
  },
  "at": {
   "type": "string"
  },
  "paidAt": {
   "type": [
    "string",
    "null"
   ]
  }
 },
 "required": [
  "id",
  "amountCents",
  "invoiceNumber",
  "status",
  "at",
  "paidAt"
 ],
 "additionalProperties": false
}